#ifndef ENTREES_SORTIES_H
#define  ENTREES_SORTIES_H
#include "fonctions.h"

/* lit un int depuis fd */
int read_int(int fd);

/* ecrit un int sur fd */
void write_int(int fd, int value);

/* lit un double depuis fd */
double read_double(int fd);

/* ecrit un double sur fd */
void write_double(int fd, double value);

/* lit une chaine de caracteres depuis fd */
void read_str(int fd, char* str, int*len);

/* ecrit une chaine de caracteres sur fd */
void write_str(int fd, char* str, int len);

/* lit un vecteur de taille size depuis fd */
void read_vecteur_allocated(int fd, struct vecteur*v);

/* lit un vecteur de taille size depuis fd */
struct vecteur* read_vecteur(int fd);

/* ecrit un vecteur sur fd */
void write_vecteur(int fd, struct vecteur* v);

/* ecrit un vecteur sur fd */
void write_vecteur_allocated(int fd, struct vecteur* v);

#endif


